# Fn<> Find
A metafunction to retrieve the index of a tag in the TagList.

Defined in | <seqan/basic.h>
Signature | `Find<TTagList, TSearchTag>::VALUE;`

## Template Parameters

`TSearchTag` | A tag to retrieve the index of.
`TTagList` | A tag list.

## Return Values

`VALUE` | This meta-function can be used to test whether the value of a TagSelector equals a specific tag.

## Detailed Description

### Examples

    AutoSeqFormat format;
    if (format.tagId == Find<AutoSeqFormat, Fasta>::VALUE)
    {
        // do something specific to Fasta format
    }

    // or even shorter:

    if (isEqual(format.tagId, Fasta()))
    {
        // do something specific to Fasta format
    }

#### Dox Sources

    /*!
     * @mfn Find
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief A metafunction to retrieve the index of a tag in the TagList.
     *
     * @signature Find<TTagList, TSearchTag>::VALUE;
     *
     * @tparam TSearchTag A tag to retrieve the index of.
     * @tparam TTagList A tag list.
     *
     * @return VALUE This meta-function can be used to test whether the value of a
     *               TagSelector equals a specific tag.
     *
     * @section Examples
     *
     * @code{.cpp}
     * AutoSeqFormat format;
     * if (format.tagId == Find<AutoSeqFormat, Fasta>::VALUE)
     * {
     *     // do something specific to Fasta format
     * }
     *
     * // or even shorter:
     *
     * if (isEqual(format.tagId, Fasta()))
     * {
     *     // do something specific to Fasta format
     * }
     * @endcode
     */